## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMatchPatternData Class Reference

This class contains information concerning a match pattern in a stylesheet. More...

`#include <XalanMatchPatternData.hpp>`

Collaboration diagram for XalanMatchPatternData:

[legend]
List of all members.

## Public Types

- typedef XPath::eMatchScore eMatchScore
- typedef size_t size_type

## Public Methods

- XalanMatchPatternData (MemoryManagerType &theManager, const ElemTemplate &theTemplate, size_type thePosition, const XalanDOMString &theTargetString, const XPath &theMatchPattern, const XalanDOMString &thePatternString, eMatchScore thePriority)
    Construct a XalanMatchPatternData from a pattern and template. More...
- ~XalanMatchPatternData ()
- const XalanDOMString& getTargetString () const
    Retrieve string for target. More...
- const XPath* getExpression () const
    Retrieve the match pattern associated with pattern. More...
- size_type getPosition () const
    Retrieve position of pattern in stylesheet. More...
- const XalanDOMString* getPattern () const
    Retrieve pattern string. More...
- const ElemTemplate* getTemplate () const
    Retrieve node that contains the template for this pattern. More...
- eMatchScore getDefaultPriority () const
- double getPriorityOrDefault () const

## Detailed Description

This class contains information concerning a match pattern in a stylesheet.

## Member Typedef Documentation

typedef XPath::eMatchScore XalanMatchPatternData::eMatchScore

typedef size_t XalanMatchPatternData::size_type

## Constructor & Destructor Documentation

XalanMatchPatternData::XalanMatchPatternData ( | MemoryManagerType & theManager,
| const ElemTemplate & theTemplate,
| size_type thePosition,
| const XalanDOMString & theTargetString,
| const XPath & theMatchPattern,
| const XalanDOMString & thePatternString,
| eMatchScore thePriority )

  | Construct a XalanMatchPatternData from a pattern and template. Parameters:
  theTemplate | The ElemTemplate node that contains the template for this pattern
  thePosition | The position in the stylesheet
  theTargetString | The target string for match pattern
  TheMatchPattern | The match pattern
  thePatternString | the pattern string
  thePriority | The priority for the match pattern.

XalanMatchPatternData::~XalanMatchPatternData ( | )

## Member Function Documentation

eMatchScore XalanMatchPatternData::getDefaultPriority ( | ) const

const XPath * XalanMatchPatternData::getExpression ( | ) const

| Retrieve the match pattern associated with pattern. Returns: XPath for pattern

const XalanDOMString * XalanMatchPatternData::getPattern ( | ) const

| Retrieve pattern string. Returns: string that contains element pattern

size_type XalanMatchPatternData::getPosition ( | ) const

| Retrieve position of pattern in stylesheet. Returns: The position in the stylesheet

double XalanMatchPatternData::getPriorityOrDefault ( | ) const

const XalanDOMString & XalanMatchPatternData::getTargetString ( | ) const

| Retrieve string for target. Returns: target string

const ElemTemplate * XalanMatchPatternData::getTemplate ( | ) const

| Retrieve node that contains the template for this pattern. Returns: template node

The documentation for this class was generated from the following file:

- XalanMatchPatternData.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.